%define name 	nagios_plugins_ru
%define version 0.8.6
%define release 2.ru
%ifarch i386
%define prefix /usr/lib/nagios/plugins
%else
%define prefix /usr/lib64/nagios/plugins
%endif

Summary:	Host/service/network monitoring program addons
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Other
Source0:	%{name}-%{version}.tar.bz2
URL:		http://www.nagios.org
Distribution:   RU-Solaris
Vendor:         NBCS-OSS
BuildRoot: 	%{_tmppath}/%{name}-root
Packager: 	Dave Diffenbaugh <davediff@nbcs.rutgers.edu>
#check_clamav requires sed cut grep perl
Requires:	/usr/sbin/smartctl /usr/bin/ipmitool /usr/bin/sudo udev

%description
Nagios is a program that will monitor hosts and 
services on your network.

These plugins are home-grown at Rutgers. 
They require entries in sudoers, for instance. Be careful.

%prep

%setup 

%build

%install
mkdir -m 0755 -p $RPM_BUILD_ROOT%{prefix}/rutgers
install -m 0755 check_dhcp_helpers $RPM_BUILD_ROOT%{prefix}/rutgers
install -m 0755 check_ipmi_noshutdown $RPM_BUILD_ROOT%{prefix}/rutgers
install -m 0755 check_ipmi_chassis $RPM_BUILD_ROOT%{prefix}/rutgers
install -m 0755 check_ipmi_shutdown $RPM_BUILD_ROOT%{prefix}/rutgers
install -m 0755 check_smartctl $RPM_BUILD_ROOT%{prefix}/rutgers
install -m 0755 check_dhcp_helpers_internal $RPM_BUILD_ROOT%{prefix}/rutgers
install -m 0755 check_ldap_clearbind $RPM_BUILD_ROOT%{prefix}/rutgers
install -m 0755 check_ldap_reader $RPM_BUILD_ROOT%{prefix}/rutgers
install -m 0755 check_ldap_reader2 $RPM_BUILD_ROOT%{prefix}/rutgers
install -m 0755 check_ldap_reader3 $RPM_BUILD_ROOT%{prefix}/rutgers
install -m 0755 ldapSynchCheck.py $RPM_BUILD_ROOT%{prefix}/rutgers
install -m 0755 ldapsync.sh $RPM_BUILD_ROOT%{prefix}/rutgers
install -m 0755 check_clamav $RPM_BUILD_ROOT%{prefix}/rutgers
install -m 0755 check_backups $RPM_BUILD_ROOT%{prefix}/rutgers

mkdir -m 0755 -p $RPM_BUILD_ROOT/etc/udev/permissions.d
install -m 0755 70-nagios-ipmi.permissions $RPM_BUILD_ROOT/etc/udev/permissions.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{prefix}/rutgers
%{prefix}/rutgers/*
%attr(0644, root, root) /etc/udev/permissions.d/70-nagios-ipmi.permissions

%changelog
* Tue Nov 18 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 0.8.6-2
- updates to check_backups script, bumped release number
* Wed Oct 15 2008 Brian Schubert <schubert@nbcs.rutgers.edu> - 0.8.6-1
- Added check_backups script, bumped version to 0.8.6
* Mon Sep 15 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 0.8.5-3
- update to check_clamav script (added PATH variable)
* Thu Aug 28 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 0.8.5-2
- added ifarch so that path is correct in i386
* Wed Aug 20 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 0.8.5-1
- changed to UNKNOWN when check_clamav times out
* Tue Jul 1 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 0.8.4-1
- fixed argument handling in check_clamav script, bumped to 0.8.4
* Tue Jun 24 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 0.8.3-1
- made changes to check_clamav script, bumped version to 0.8.3
* Fri Jun 06 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu> - 0.8.2-1
- added check_clamav script, bumped version number to 0.8.2 
